__doc__ = '''Product ClickTracker'''

from ImageFile import ImageFile

# Import the module(s) containing product-specific objects
import ClickTracker

classes=('ClickTracker.ClickTracker',)

# Product meta-data:

# Names of objects added by this product:
meta_types=(
	{'name':'ClickTracker','action':'manage_addClickTrackerForm'},
	)

# Attributes (usually "methods") to be added to folders to support
# creating objects:
methods={
	'manage_addClickTrackerForm': ClickTracker.addClickTrackerForm,
	'manage_addClickTracker': ClickTracker.addClickTracker
	} 

# Permission to be added to folders:
__ac_permissions__=(
	# To add items:
	('Add ClickTrackers', ('manage_addClickTrackerForm','manage_addClickTracker')),
	# To manipulate item permissions at a high level.  Note that the
	# list of objects is empty, since we are just providing a place
	# to put acquired settings:
	('Change ClickTrackers', ()),
	)

# Define shared web objects that are used by products.
# This is usually (always ?) limited to images used 
# when displaying an object ub contents lists.
# These objects are accessed as:
#   <!--#var SCRIPT_NAME-->/misc_/Product/name
misc_={
	'Main': ImageFile('icon.gif',globals()),
	'logo': ImageFile('coltronix.gif', globals()),
	}
